# Generated by Django 4.1.3 on 2022-11-24 22:02

from django.db import migrations, models
import django.utils.timezone
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='BedStay',
            fields=[
                ('deleted_at', models.DateTimeField(db_index=True, editable=False, null=True)),
                ('deleted_by_cascade', models.BooleanField(default=False, editable=False)),
                ('uuid', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('start_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('end_date', models.DateTimeField(null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DetectionMeasure',
            fields=[
                ('deleted_at', models.DateTimeField(db_index=True, editable=False, null=True)),
                ('deleted_by_cascade', models.BooleanField(default=False, editable=False)),
                ('uuid', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('measure_datetime', models.DateTimeField(default=django.utils.timezone.now)),
                ('blse', models.BooleanField(default=False)),
                ('sarm', models.BooleanField(default=False)),
                ('bhc', models.BooleanField(default=False)),
                ('clostridium', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='FailureMeasure',
            fields=[
                ('deleted_at', models.DateTimeField(db_index=True, editable=False, null=True)),
                ('deleted_by_cascade', models.BooleanField(default=False, editable=False)),
                ('uuid', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('measure_datetime', models.DateTimeField(default=django.utils.timezone.now)),
                ('failure_type', models.CharField(choices=[('lung', 'lung'), ('kidney', 'kidney'), ('heart', 'heart'), ('metabolic', 'metabolic'), ('brain', 'brain'), ('liver', 'liver'), ('hematologic', 'hematologic')], max_length=11)),
                ('active', models.BooleanField()),
                ('indication', models.TextField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Patient',
            fields=[
                ('deleted_at', models.DateTimeField(db_index=True, editable=False, null=True)),
                ('deleted_by_cascade', models.BooleanField(default=False, editable=False)),
                ('uuid', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('local_id', models.CharField(max_length=10, unique=True)),
                ('first_name', models.CharField(max_length=100, null=True)),
                ('last_name', models.CharField(max_length=100, null=True)),
                ('birth_date', models.DateField(null=True)),
                ('sex', models.CharField(choices=[('m', 'Man'), ('w', 'Woman'), ('u', 'Undefined')], default='u', max_length=1)),
                ('size_cm', models.IntegerField(null=True)),
                ('weight_kg', models.FloatField(null=True)),
                ('antecedents', models.JSONField(null=True)),
                ('allergies', models.JSONField(null=True)),
            ],
        ),
        migrations.CreateModel(
            name='PatientNote',
            fields=[
                ('deleted_at', models.DateTimeField(db_index=True, editable=False, null=True)),
                ('deleted_by_cascade', models.BooleanField(default=False, editable=False)),
                ('uuid', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('type', models.CharField(choices=[('rdh', 'recent disease history'), ('evolution', 'evolution'), ('todo', 'todo list'), ('tl', 'treatment limitations'), ('dn', 'day notice'), ('general', 'general')], default='general', max_length=9)),
                ('content', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='PatientStay',
            fields=[
                ('deleted_at', models.DateTimeField(db_index=True, editable=False, null=True)),
                ('deleted_by_cascade', models.BooleanField(default=False, editable=False)),
                ('uuid', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('hospitalisation_cause', models.TextField(null=True)),
                ('severity', models.IntegerField(choices=[(0, 'With risks'), (1, 'Unstable'), (2, 'Stable')], default=2)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TreatmentLimitation',
            fields=[
                ('deleted_at', models.DateTimeField(db_index=True, editable=False, null=True)),
                ('deleted_by_cascade', models.BooleanField(default=False, editable=False)),
                ('uuid', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('measure_datetime', models.DateTimeField(default=django.utils.timezone.now)),
                ('no_acr_reanimation', models.BooleanField(default=False)),
                ('no_new_failures_or_therap_raise_treatment', models.BooleanField(default=False)),
                ('no_catecholamines', models.BooleanField(default=False)),
                ('no_intubation', models.BooleanField(default=False)),
                ('no_assisted_ventilation', models.BooleanField(default=False)),
                ('no_o2', models.BooleanField(default=False)),
                ('no_eer', models.BooleanField(default=False)),
                ('no_transfusion', models.BooleanField(default=False)),
                ('no_surgery', models.BooleanField(default=False)),
                ('no_PIC_or_DVE', models.BooleanField(default=False)),
                ('no_new_antibiotherapy', models.BooleanField(default=False)),
                ('no_sirurgical_reintervetion', models.BooleanField(default=False)),
                ('no_new_complementary_exams', models.BooleanField(default=False)),
                ('no_biological_results', models.BooleanField(default=False)),
                ('pressor_amines_stop', models.BooleanField(default=False)),
                ('eer_stop', models.BooleanField(default=False)),
                ('fio2_21percent', models.BooleanField(default=False)),
                ('oxygenotherapy_stop', models.BooleanField(default=False)),
                ('mecanic_ventilation_stop', models.BooleanField(default=False)),
                ('extubation', models.BooleanField(default=False)),
                ('nutrition_stop', models.BooleanField(default=False)),
                ('hydratation_stop', models.BooleanField(default=False)),
                ('antibiotic_stop', models.BooleanField(default=False)),
                ('dve_ablation', models.BooleanField(default=False)),
                ('ecmo_stop', models.BooleanField(default=False)),
                ('all_current_therapeutics_stop', models.BooleanField(default=False)),
                ('other_stops', models.TextField(blank=True, default='')),
                ('fio2_limit', models.FloatField(default=None, null=True)),
                ('no_mecanic_ventilation_markup', models.BooleanField(default=False)),
                ('amines_limitation', models.FloatField(default=None, null=True)),
                ('no_reanimation_admittance', models.BooleanField(default=False)),
                ('treatment_limitations_comments', models.TextField(blank=True, default='')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
